## dolphin 25.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(Dolphin VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.4.0")
set(KF6_MIN_VERSION "6.9.0")

# use C++20 like KF6 itself
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

# ECM setup
find_package(ECM ${KF6_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGenerateDBusServiceFile)
include(ECMConfiguredInstall)
include(CMakePackageConfigHelpers)
include(GenerateExportHeader)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(CheckIncludeFiles)
include(CheckLibraryExists)
include(CheckFunctionExists)

ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX DOLPHIN
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/dolphin_version.h"
)

ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX DOLPHINVCS
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/dolphinvcs_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/DolphinVcsConfigVersion.cmake"
                  SOVERSION 6
)

ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX DOLPHINPRIVATE
                  SOVERSION 6
)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Concurrent
    Widgets
    Gui
    DBus
)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

if (UNIX AND NOT APPLE AND NOT HAIKU)
    set(HAVE_X11 TRUE)
endif()

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    KCMUtils
    NewStuff
    CoreAddons
    I18n
    DBusAddons
    Bookmarks
    Config
    KIO
    Parts
    Solid
    IconThemes
    Completion
    TextWidgets
    Notifications
    Crash
    WindowSystem
    WidgetsAddons
    Codecs
    GuiAddons
    ColorScheme
)

find_package(KF6UserFeedback ${KF6_MIN_VERSION})
set_package_properties(KF6UserFeedback
        PROPERTIES TYPE OPTIONAL
        PURPOSE "Used for submission of telemetry data"
        )

if(KF6UserFeedback_FOUND)
    set(HAVE_KUSERFEEDBACK TRUE)
endif()

find_package(KF6 ${KF6_MIN_VERSION} OPTIONAL_COMPONENTS
    DocTools
)

find_package(PackageKitQt6)
set_package_properties(PackageKitQt6
        PROPERTIES DESCRIPTION "Software Manager integration"
        TYPE RECOMMENDED
        PURPOSE "Used in the service menu installer"
        )
if(PackageKitQt6_FOUND)
    set(HAVE_PACKAGEKIT TRUE)
endif()

find_package(KF6FileMetaData ${KF6_MIN_VERSION})
set_package_properties(KF6FileMetaData PROPERTIES
                       URL "https://projects.kde.org/kfilemetadata"
                       TYPE REQUIRED
                       PURPOSE "For accessing file metadata labels and filesystem metadata"
                      )

find_package(KF6Baloo ${KF6_MIN_VERSION})
set_package_properties(KF6Baloo PROPERTIES DESCRIPTION "Baloo Core libraries"
                       URL "https://www.kde.org"
                       TYPE OPTIONAL
                       PURPOSE "For adding desktop-wide search and tagging support to dolphin"
                      )

find_package(KF6BalooWidgets ${RELEASE_SERVICE_VERSION})
set_package_properties(KF6BalooWidgets PROPERTIES DESCRIPTION "Baloos Widgets"
                       URL "https://www.kde.org"
                       TYPE OPTIONAL
                      )

if (KF6Baloo_FOUND AND KF6BalooWidgets_FOUND)
    message(STATUS "Baloo packages are found")
    set(HAVE_BALOO TRUE)

    find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
        Multimedia
        MultimediaWidgets
    )
else ()
    message(WARNING "Baloo packages not found. They are needed for the metadata features of Dolphin (including the information panel).")
endif()

# TODO: drop HAVE_TERMINAL once we are sure the terminal panel works on Windows too.
if(WIN32)
    set(HAVE_TERMINAL FALSE)
else()
    set(HAVE_TERMINAL TRUE)
endif()

# Compatibility with platforms without native fts (e.g. musl)
check_include_files("sys/types.h;sys/stat.h;fts.h" HAVE_FTS_H)
if(HAVE_FTS_H AND NOT HAIKU)
    check_function_exists(fts_open HAVE_FTS_OPEN)
    if(NOT HAVE_FTS_OPEN)
        check_library_exists(fts fts_open "" HAVE_LIB_FTS)
    endif()
endif()

if(HAVE_LIB_FTS)
    set(FTS_LIB fts)
else()
    set(FTS_LIB "")
endif()

add_subdirectory(src)
add_subdirectory(doc)
add_subdirectory(appiumtests)

# CMake files
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/DolphinVcs")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/DolphinVcsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/DolphinVcsConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/DolphinVcsConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/DolphinVcsConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT DolphinVcsTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE DolphinVcsTargets.cmake
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/dolphinvcs_version.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/Dolphin"
    COMPONENT Devel
)

if(FLATPAK)
    ecm_generate_dbus_service_file(
        NAME org.freedesktop.FileManager1
        EXECUTABLE "${KDE_INSTALL_FULL_BINDIR}/dolphin --daemon"
        SYSTEMD_SERVICE plasma-dolphin.service
        DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR}
    )
else()
    ecm_generate_dbus_service_file(
        NAME org.freedesktop.FileManager1
        EXECUTABLE "${KDE_INSTALL_FULL_BINDIR}/dolphin --daemon"
        SYSTEMD_SERVICE plasma-dolphin.service
        DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR}
        RENAME org.kde.dolphin.FileManager1.service
    )
endif()

ecm_install_configured_files(INPUT plasma-dolphin.service.in DESTINATION ${KDE_INSTALL_SYSTEMDUSERUNITDIR})

ecm_qt_install_logging_categories(
        EXPORT DOLPHIN
        FILE dolphin.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
endif()

install(FILES completions/dolphin.zsh RENAME _dolphin DESTINATION ${KDE_INSTALL_ZSHAUTOCOMPLETEDIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

include(KDEClangFormat)
# add clang-format target
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(KDEGitCommitHooks)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
dolphin (4:25.08.3-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for libpackagekitqt6-2.

 -- Rik Mills <rikmills@kde.org>  Fri, 07 Nov 2025 09:53:22 +0000

dolphin (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:20:23 +0000

=== debian/control ===
Source: dolphin
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.9.0~),
               gettext,
               libbaloowidgets-dev (>= 4:25.08.3~),
               libkf6baloo-dev (>= 6.9.0~) [!hurd-any],
               libkf6bookmarks-dev (>= 6.9.0~),
               libkf6codecs-dev (>= 6.9.0~),
               libkf6completion-dev (>= 6.9.0~),
               libkf6config-dev (>= 6.9.0~),
               libkf6coreaddons-dev (>= 6.9.0~),
               libkf6crash-dev (>= 6.9.0~),
               libkf6dbusaddons-dev (>= 6.9.0~),
               libkf6doctools-dev (>= 6.9.0~),
               libkf6filemetadata-dev (>= 6.9.0~),
               libkf6guiaddons-dev (>= 6.9.0~),
               libkf6i18n-dev (>= 6.9.0~),
               libkf6iconthemes-dev (>= 6.9.0~),
               libkf6kcmutils-dev (>= 6.9.0~),
               libkf6kio-dev (>= 6.9.0~),
               libkf6newstuff-dev (>= 6.9.0~),
               libkf6notifications-dev (>= 6.9.0~),
               libkf6parts-dev (>= 6.9.0~),
               libkf6solid-dev (>= 6.9.0~),
               libkf6textwidgets-dev (>= 6.9.0~),
               libkf6userfeedback-dev (>= 6.9.0~),
               libkf6widgetsaddons-dev (>= 6.9.0~),
               libkf6windowsystem-dev (>= 6.9.0~),
               libpackagekitqt6-dev,
               libplasmaactivities-dev,
               pkgconf,
               qt6-base-dev (>= 6.4.0~),
               qt6-base-private-dev,
               qt6-multimedia-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/dolphin/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin

Package: dolphin
Section: utils
Architecture: any
Depends: baloo6,
         dolphin-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: dolphin-doc (>= 4:24.05.2~),
            dolphin-plugins,
            ffmpegthumbs,
            kdegraphics-thumbnailers,
            kdenetwork-filesharing,
            kimageformat6-plugins,
            kio-extras (>= 4:24.12.2~),
            qt6-image-formats-plugins,
Suggests: kio-admin,
Breaks: dolphin-data (<< 4:24.12.2-2~), dolphin-plugins (<< 4:24.05~),
Replaces: dolphin-data (<< 4:24.12.2-2~),
Description: file manager
 Dolphin is KDE's file manager that lets you navigate and browse the contents
 of your hard drives, USB sticks, SD cards, and more. Creating, moving, or
 deleting files and folders is simple and fast.
 .
 Features include:
   Customisable sidebars
   "Breadcrumb" navigation
   View properties remembered for each folder
   Split views
   Integrated terminal
   Network transparency
   Undo/redo functionality
   Ratings, comments, and tags

Package: dolphin-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
Description: file manager - development files
 Contains DBus interface XML files to access dolphin via the DBus
 org.freedesktop.FileManager1 interface.

Package: dolphin-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Breaks: dolphin (<< 4:24.05.2-1~),
Replaces: dolphin (<< 4:24.05.2-1~),
Description: file manager - documentation
 Dolphin is KDE's file manager that lets you navigate and browse the contents
 of your hard drives, USB sticks, SD cards, and more. Creating, moving, or
 deleting files and folders is simple and fast.
 .
 This package contains the HTML documentation.

Package: dolphin-data
Section: utils
Architecture: all
Depends: ${misc:Depends},
Breaks: dolphin (<< 4:24.05.2-1~),
Replaces: dolphin (<< 4:24.05.2-1~),
Description: file manager - data
 Dolphin is KDE's file manager that lets you navigate and browse the contents
 of your hard drives, USB sticks, SD cards, and more. Creating, moving, or
 deleting files and folders is simple and fast.
 .
 This package contains architecture-independent data files.

Package: libdolphinvcs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdolphinvcs6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0~),
         ${misc:Depends},
Description: library to show version control in Dolphin - development files
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.
 .
 This package contains the development files.

Package: libdolphinvcs6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library to show version control in Dolphin
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.

## dolphin 25.08.3+p24.04+vunstable+git20251206.0758

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(Dolphin VERSION ${RELEASE_SERVICE_VERSION})

## dolphin 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(Dolphin VERSION ${RELEASE_SERVICE_VERSION})

=== src/CMakeLists.txt ===
include(ECMAddAppIcon)

set(ADMIN_WORKER_PACKAGE_NAME "kio-admin")
set(FILELIGHT_PACKAGE_NAME "filelight")
set(KFIND_PACKAGE_NAME "kfind")

configure_file(config-dolphin.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-dolphin.h)

add_definitions(
    -DTRANSLATION_DOMAIN=\"dolphin\"
)
remove_definitions(
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
)

##########################################

add_library(dolphinvcs SHARED)

target_sources(dolphinvcs PRIVATE
    views/versioncontrol/kversioncontrolplugin.cpp
)

generate_export_header(dolphinvcs BASE_NAME dolphinvcs)

target_link_libraries(
    dolphinvcs PUBLIC
    Qt6::Widgets
)

set_target_properties(dolphinvcs PROPERTIES
    VERSION ${DOLPHINVCS_VERSION}
    SOVERSION ${DOLPHINVCS_SOVERSION}
    EXPORT_NAME DolphinVcs
)

ecm_generate_headers(dolphinvcs_LIB_HEADERS
    HEADER_NAMES
    KVersionControlPlugin

    RELATIVE "views/versioncontrol"
    REQUIRED_HEADERS dolphinvcs_LIB_HEADERS
)
target_include_directories(dolphinvcs INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}>")

install(TARGETS dolphinvcs EXPORT DolphinVcsTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dolphinvcs_export.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)
install(FILES ${dolphinvcs_LIB_HEADERS} DESTINATION "${KDE_INSTALL_INCLUDEDIR}/Dolphin" COMPONENT Devel)

########### next target ###############

add_library(dolphinprivate SHARED)

if(NOT QT_NO_ACCESSIBILITY)
    target_sources(dolphinprivate PRIVATE
        kitemviews/accessibility/kitemlistcontaineraccessible.cpp
        kitemviews/accessibility/kitemlistdelegateaccessible.cpp
        kitemviews/accessibility/kitemlistviewaccessible.cpp

        kitemviews/accessibility/kitemlistcontaineraccessible.h
        kitemviews/accessibility/kitemlistdelegateaccessible.h
        kitemviews/accessibility/kitemlistviewaccessible.h
    )
endif()

target_sources(dolphinprivate PRIVATE
    kitemviews/kfileitemlistview.cpp
    kitemviews/kfileitemlistwidget.cpp
    kitemviews/kfileitemlisttostring.cpp
    kitemviews/kfileitemmodel.cpp
    kitemviews/kfileitemmodelrolesupdater.cpp
    kitemviews/kitemlistcontainer.cpp
    kitemviews/kitemlistcontroller.cpp
    kitemviews/kitemlistgroupheader.cpp
    kitemviews/kitemlistheader.cpp
    kitemviews/kitemlistselectionmanager.cpp
    kitemviews/kitemliststyleoption.cpp
    kitemviews/kitemlistview.cpp
    kitemviews/kitemlistwidget.cpp
    kitemviews/kitemmodelbase.cpp
    kitemviews/kitemset.cpp
    kitemviews/kstandarditemlistgroupheader.cpp
    kitemviews/kstandarditemlistwidget.cpp
    kitemviews/kstandarditemlistview.cpp
    kitemviews/private/kdirectorycontentscounter.cpp
    kitemviews/private/kdirectorycontentscounterworker.cpp
    kitemviews/private/kfileitemclipboard.cpp
    kitemviews/private/kfileitemmodelfilter.cpp
    kitemviews/private/kitemlistheaderwidget.cpp
    kitemviews/private/kitemlistkeyboardsearchmanager.cpp
    kitemviews/private/kitemlistroleeditor.cpp
    kitemviews/private/kitemlistrubberband.cpp
    kitemviews/private/kitemlistselectiontoggle.cpp
    kitemviews/private/kitemlistsizehintresolver.cpp
    kitemviews/private/kitemlistsmoothscroller.cpp
    kitemviews/private/kitemlistviewanimation.cpp
    kitemviews/private/kitemlistviewlayouter.cpp
    kitemviews/private/kitemviewsutils.cpp
    kitemviews/private/kpixmapmodifier.cpp
    settings/applyviewpropsjob.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewpropertiesdialog.cpp
    settings/viewpropsprogressinfo.cpp
    selectionmode/actiontexthelper.cpp
    views/dolphinfileitemlistwidget.cpp
    views/dolphinitemlistview.cpp
    views/dolphinnewfilemenuobserver.cpp
    views/dolphinremoteencoding.cpp
    views/dolphinview.cpp
    views/dolphinviewactionhandler.cpp
    views/draganddrophelper.cpp
    views/versioncontrol/updateitemstatesthread.cpp
    views/versioncontrol/versioncontrolobserver.cpp
    views/viewmodecontroller.cpp
    views/viewproperties.cpp
    views/zoomlevelinfo.cpp
    views/zoomwidgetaction.cpp
    dolphinremoveaction.cpp
    middleclickactioneventfilter.cpp
    dolphinnewfilemenu.cpp

    kitemviews/kfileitemlistview.h
    kitemviews/kfileitemlistwidget.h
    kitemviews/kfileitemlisttostring.h
    kitemviews/kfileitemmodel.h
    kitemviews/kfileitemmodelrolesupdater.h
    kitemviews/kitemlistcontainer.h
    kitemviews/kitemlistcontroller.h
    kitemviews/kitemlistgroupheader.h
    kitemviews/kitemlistheader.h
    kitemviews/kitemlistselectionmanager.h
    kitemviews/kitemliststyleoption.h
    kitemviews/kitemlistview.h
    kitemviews/kitemlistwidget.h
    kitemviews/kitemmodelbase.h
    kitemviews/kitemset.h
    kitemviews/kstandarditemlistgroupheader.h
    kitemviews/kstandarditemlistwidget.h
    kitemviews/kstandarditemlistview.h
    kitemviews/private/kdirectorycontentscounter.h
    kitemviews/private/kdirectorycontentscounterworker.h
    kitemviews/private/kfileitemclipboard.h
    kitemviews/private/kfileitemmodelfilter.h
    kitemviews/private/kitemlistheaderwidget.h
    kitemviews/private/kitemlistkeyboardsearchmanager.h
    kitemviews/private/kitemlistroleeditor.h
    kitemviews/private/kitemlistrubberband.h
    kitemviews/private/kitemlistselectiontoggle.h
    kitemviews/private/kitemlistsizehintresolver.h
    kitemviews/private/kitemlistsmoothscroller.h
    kitemviews/private/kitemlistviewanimation.h
    kitemviews/private/kitemlistviewlayouter.h
    kitemviews/private/kpixmapmodifier.h
    settings/applyviewpropsjob.h
    settings/viewmodes/viewmodesettings.h
    settings/viewpropertiesdialog.h
    settings/viewpropsprogressinfo.h
    selectionmode/actiontexthelper.h
    views/dolphinfileitemlistwidget.h
    views/dolphinitemlistview.h
    views/dolphinnewfilemenuobserver.h
    views/dolphinremoteencoding.h
    views/dolphinview.h
    views/dolphinviewactionhandler.h
    views/draganddrophelper.h
    views/versioncontrol/updateitemstatesthread.h
    views/versioncontrol/versioncontrolobserver.h
    views/viewmodecontroller.h
    views/viewproperties.h
    views/zoomlevelinfo.h
    views/zoomwidgetaction.h
    dolphinremoveaction.h
    middleclickactioneventfilter.h
    dolphinnewfilemenu.h
)

ecm_qt_declare_logging_category(dolphinprivate
    HEADER dolphindebug.h
    IDENTIFIER DolphinDebug
    CATEGORY_NAME org.kde.dolphin
    DESCRIPTION "dolphin"
    EXPORT DOLPHIN
)

if(HAVE_BALOO)
    target_sources(dolphinprivate PRIVATE
        views/tooltips/dolphinfilemetadatawidget.cpp
        views/tooltips/tooltipmanager.cpp
        kitemviews/private/kbaloorolesprovider.cpp
        views/tooltips/dolphinfilemetadatawidget.h
        views/tooltips/tooltipmanager.h
        kitemviews/private/kbaloorolesprovider.h
    )
endif()

kconfig_add_kcfg_files(dolphinprivate
    settings/dolphin_compactmodesettings.kcfgc
    settings/dolphin_directoryviewpropertysettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    settings/dolphin_contentdisplaysettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_contextmenusettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
    GENERATE_MOC
)

generate_export_header(dolphinprivate BASE_NAME dolphin)

target_link_libraries(
    dolphinprivate PUBLIC
    dolphinvcs
    Qt6::Concurrent
    Qt6::DBus
    Qt6::Gui
    KF6::I18n
    KF6::GuiAddons
    KF6::IconThemes
    KF6::KIOCore
    KF6::KIOWidgets
    KF6::KIOFileWidgets
    KF6::Completion
    KF6::TextWidgets
    KF6::ConfigCore
    KF6::NewStuffWidgets    # KNSWidgets::Button
    KF6::Parts
    KF6::WindowSystem
    KF6::WidgetsAddons
    KF6::Codecs
    KF6::KCMUtils
    KF6::FileMetaData
    KF6::ColorScheme

    ${FTS_LIB}
)

if(HAVE_BALOO)
    target_link_libraries(
        dolphinprivate PUBLIC
        KF6::Baloo
        KF6::BalooWidgets
    )
endif()

set_target_properties(dolphinprivate PROPERTIES
    VERSION ${DOLPHINPRIVATE_VERSION}
    SOVERSION ${DOLPHINPRIVATE_SOVERSION}
)

install(TARGETS dolphinprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dolphin_export.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)

##########################################
configure_file(dolphinpart.json.in ${CMAKE_CURRENT_BINARY_DIR}/dolphinpart.json @ONLY)

add_library(dolphinpart MODULE)

target_sources(dolphinpart PRIVATE
    dolphinpart.cpp
    dolphinpart_ext.cpp
    dolphindebug.cpp
    dolphinpart.h
    dolphinpart_ext.h
    dolphindebug.h

    dolphinpart.qrc
)

target_link_libraries(dolphinpart
    dolphinprivate
)

install(TARGETS dolphinpart DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/parts)
install(FILES dolphinpartactions.desktop DESTINATION "${KDE_INSTALL_DATADIR}/dolphin/")

##########################################

add_library(dolphinstatic STATIC)

target_sources(dolphinstatic PRIVATE
    admin/bar.cpp
    admin/workerintegration.cpp
    animatedheightwidget.cpp
    disabledactionnotifier.cpp
    dolphinbookmarkhandler.cpp
    dolphindockwidget.cpp
    dolphinmainwindow.cpp
    dolphinviewcontainer.cpp
    dolphincontextmenu.cpp
    dolphinnavigatorswidgetaction.cpp
    dolphintabbar.cpp
    dolphinpackageinstaller.cpp
    dolphinplacesmodelsingleton.cpp
    dolphinrecenttabsmenu.cpp
    dolphintabpage.cpp
    dolphintabwidget.cpp
    dolphinurlnavigator.cpp
    dolphinurlnavigatorscontroller.cpp
    trash/dolphintrash.cpp
    filterbar/filterbar.cpp
    kitemviews/kfileitemlisttostring.cpp
    panels/places/placespanel.cpp
    panels/panel.cpp
    panels/folders/foldersitemlistwidget.cpp
    panels/folders/treeviewcontextmenu.cpp
    panels/folders/folderspanel.cpp
    panels/terminal/terminalpanel.cpp
    search/bar.cpp
    search/barsecondrowflowlayout.cpp
    search/chip.cpp
    search/dolphinquery.cpp
    search/popup.cpp
    search/selectors/dateselector.cpp
    search/selectors/filetypeselector.cpp
    search/selectors/minimumratingselector.cpp
    search/selectors/tagsselector.cpp
    search/widgetmenu.cpp
    selectionmode/actiontexthelper.cpp
    selectionmode/actionwithwidget.cpp
    selectionmode/backgroundcolorhelper.cpp
    selectionmode/bottombar.cpp
    selectionmode/bottombarcontentscontainer.cpp
    selectionmode/topbar.cpp
    settings/interface/folderstabssettingspage.cpp
    settings/interface/statusandlocationbarssettingspage.cpp
    settings/interface/confirmationssettingspage.cpp
    settings/interface/interfacesettingspage.cpp
    settings/interface/previewssettingspage.cpp
    settings/dolphinsettingsdialog.cpp
    settings/contextmenu/contextmenusettingspage.cpp
    settings/settingspagebase.cpp
    settings/servicemodel.cpp
    settings/trash/trashsettingspage.cpp
    settings/viewmodes/dolphinfontrequester.cpp
    settings/viewmodes/viewsettingspage.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewmodes/viewsettingstab.cpp
    settings/viewmodes/contentdisplaytab.cpp
    settings/viewmodes/generalviewsettingspage.cpp
    statusbar/diskspaceusagemenu.cpp
    statusbar/dolphinstatusbar.cpp
    statusbar/mountpointobserver.cpp
    statusbar/mountpointobservercache.cpp
    statusbar/spaceinfoobserver.cpp
    statusbar/statusbarspaceinfo.cpp
    views/zoomlevelinfo.cpp
    dolphindebug.cpp
    global.cpp
    dolphin.qrc

    admin/bar.h
    admin/workerintegration.h
    animatedheightwidget.h
    dolphinbookmarkhandler.h
    dolphindockwidget.h
    dolphinmainwindow.h
    dolphinviewcontainer.h
    dolphincontextmenu.h
    dolphinnavigatorswidgetaction.h
    dolphintabbar.h
    dolphinpackageinstaller.h
    dolphinplacesmodelsingleton.h
    dolphinrecenttabsmenu.h
    dolphintabpage.h
    dolphintabwidget.h
    dolphinurlnavigator.h
    dolphinurlnavigatorscontroller.h
    trash/dolphintrash.h
    filterbar/filterbar.h
    kitemviews/kfileitemlisttostring.h
    panels/places/placespanel.h
    panels/panel.h
    panels/folders/foldersitemlistwidget.h

=== src/itemactions/CMakeLists.txt ===

# movetonewfolderitemaction plugin

kcoreaddons_add_plugin(movetonewfolderitemaction
    SOURCES movetonewfolderitemaction.cpp movetonewfolderitemaction.h
    INSTALL_NAMESPACE "kf6/kfileitemaction")

target_link_libraries(movetonewfolderitemaction
    KF6::I18n
    KF6::KIOCore
    KF6::KIOWidgets
    KF6::KIOFileWidgets)

#hidefileitemaction plugin
kcoreaddons_add_plugin(hidefileitemaction
    SOURCES hidefileitemaction.cpp hidefileitemaction.h
    INSTALL_NAMESPACE "kf6/kfileitemaction")

target_link_libraries(hidefileitemaction
    KF6::CoreAddons
    KF6::I18n
    KF6::KIOCore
    KF6::KIOWidgets)

if(NOT WIN32)
    # setfoldericon plugin

    kcoreaddons_add_plugin(setfoldericonitemaction
        SOURCES setfoldericonitemaction.cpp setfoldericonitemaction.h ../dolphindebug.h ../dolphindebug.cpp
        INSTALL_NAMESPACE "kf6/kfileitemaction")

    target_link_libraries(setfoldericonitemaction
        KF6::I18n
        KF6::KIOCore
        KF6::KIOWidgets)
endif()

=== debian/changelog ===
dolphin (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:52:44 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.9.0~),
                gettext,
-               libbaloowidgets-dev (>= 4:25.08.3~),
+               libbaloowidgets-dev (>= 4:25.11.80~),
                libkf6baloo-dev (>= 6.9.0~) [!hurd-any],
                libkf6bookmarks-dev (>= 6.9.0~),
                libkf6codecs-dev (>= 6.9.0~),

## dolphin 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(Dolphin VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
dolphin (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:58:17 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.9.0~),
                gettext,
-               libbaloowidgets-dev (>= 4:25.11.80~),
+               libbaloowidgets-dev (>= 4:25.11.90~),
                libkf6baloo-dev (>= 6.9.0~) [!hurd-any],
                libkf6bookmarks-dev (>= 6.9.0~),
                libkf6codecs-dev (>= 6.9.0~),

## dolphin 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(Dolphin VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
dolphin (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:13:15 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.9.0~),
                gettext,
-               libbaloowidgets-dev (>= 4:25.11.90~),
+               libbaloowidgets-dev (>= 4:25.12.0~),
                libkf6baloo-dev (>= 6.9.0~) [!hurd-any],
                libkf6bookmarks-dev (>= 6.9.0~),
                libkf6codecs-dev (>= 6.9.0~),

## dolphin 25.12.0+p24.04+vstable+git20251231.0439

=== debian/changelog ===
dolphin (4:25.12.0+p24.04+vstable+git20251231.0439-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 04:39:53 +0000

dolphin (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:31:51 +1000

dolphin (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:35:58 +1000

## dolphin 25.12.0+p24.04+vunstable+git20251208.2230

=== debian/changelog ===
dolphin (4:25.12.0+p24.04+vunstable+git20251208.2230-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 22:30:43 +0000

## dolphin 25.12.0+p24.04+vunstable+git20251210.0032

=== debian/changelog ===
dolphin (4:25.12.0+p24.04+vunstable+git20251210.0032-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Dec 2025 00:32:18 +0000

## dolphin 25.12.0+p24.04+vunstable+git20251211.0319

=== debian/changelog ===
dolphin (4:25.12.0+p24.04+vunstable+git20251211.0319-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 03:19:25 +0000

## dolphin 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(Dolphin VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
dolphin (4:25.12.1-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Bump minver of libbaloowidgets-dev to correct version.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 12 Jan 2026 22:42:04 -0800

dolphin (4:25.12.1-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (25.12.1).
  * Bump Standards-Version to 4.7.3 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 11 Jan 2026 10:52:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: dolphin
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Uploaders: Aurélien COUDERC <coucouf@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.9.0~),
                gettext,
-               libbaloowidgets-dev (>= 4:25.12.0~),
+               libbaloowidgets-dev (>= 4:25.12.1~),
                libkf6baloo-dev (>= 6.9.0~) [!hurd-any],
                libkf6bookmarks-dev (>= 6.9.0~),
                libkf6codecs-dev (>= 6.9.0~),
+               libkf6colorscheme-dev (>= 6.9.0~),
                libkf6completion-dev (>= 6.9.0~),
                libkf6config-dev (>= 6.9.0~),
                libkf6coreaddons-dev (>= 6.9.0~),
@@ -34,16 +35,18 @@
                libkf6widgetsaddons-dev (>= 6.9.0~),
                libkf6windowsystem-dev (>= 6.9.0~),
                libpackagekitqt6-dev,
+               libphonon4qt6-dev,
+               libphonon4qt6experimental-dev,
                libplasmaactivities-dev,
                pkgconf,
                qt6-base-dev (>= 6.4.0~),
                qt6-base-private-dev,
-               qt6-multimedia-dev,
-Standards-Version: 4.7.2
+               qt6-multimedia-dev (>= 6.4.0~)
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/dolphin/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin.git
 
 Package: dolphin
 Section: utils
@@ -51,7 +54,7 @@
 Depends: baloo6,
          dolphin-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Recommends: dolphin-doc (>= 4:24.05.2~),
             dolphin-plugins,
             ffmpegthumbs,
@@ -59,10 +62,10 @@
             kdenetwork-filesharing,
             kimageformat6-plugins,
             kio-extras (>= 4:24.12.2~),
-            qt6-image-formats-plugins,
-Suggests: kio-admin,
-Breaks: dolphin-data (<< 4:24.12.2-2~), dolphin-plugins (<< 4:24.05~),
-Replaces: dolphin-data (<< 4:24.12.2-2~),
+            qt6-image-formats-plugins
+Suggests: kio-admin
+Breaks: dolphin-data (<< 4:24.12.2-2~), dolphin-plugins (<< 4:24.05~)
+Replaces: dolphin-data (<< 4:24.12.2-2~)
 Description: file manager
  Dolphin is KDE's file manager that lets you navigate and browse the contents
  of your hard drives, USB sticks, SD cards, and more. Creating, moving, or
@@ -82,7 +85,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: file manager - development files
  Contains DBus interface XML files to access dolphin via the DBus
  org.freedesktop.FileManager1 interface.
@@ -90,9 +93,9 @@
 Package: dolphin-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends},
-Breaks: dolphin (<< 4:24.05.2-1~),
-Replaces: dolphin (<< 4:24.05.2-1~),
+Depends: ${misc:Depends}
+Breaks: dolphin (<< 4:24.05.2-1~)
+Replaces: dolphin (<< 4:24.05.2-1~)
 Description: file manager - documentation
  Dolphin is KDE's file manager that lets you navigate and browse the contents
  of your hard drives, USB sticks, SD cards, and more. Creating, moving, or
@@ -103,9 +106,9 @@
 Package: dolphin-data
 Section: utils
 Architecture: all
-Depends: ${misc:Depends},
-Breaks: dolphin (<< 4:24.05.2-1~),
-Replaces: dolphin (<< 4:24.05.2-1~),
+Depends: ${misc:Depends}
+Breaks: dolphin (<< 4:24.05.2-1~)
+Replaces: dolphin (<< 4:24.05.2-1~)
 Description: file manager - data
  Dolphin is KDE's file manager that lets you navigate and browse the contents
  of your hard drives, USB sticks, SD cards, and more. Creating, moving, or
@@ -119,7 +122,7 @@
 Multi-Arch: same
 Depends: libdolphinvcs6 (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0~),
-         ${misc:Depends},
+         ${misc:Depends}
 Description: library to show version control in Dolphin - development files
  This library enables developers to expand Dolphin with the ability to show
  version control status in directories that are version controlled.
@@ -130,7 +133,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library to show version control in Dolphin
  This library enables developers to expand Dolphin with the ability to show
  version control status in directories that are version controlled.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf6 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable unittest at build time
	:

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## dolphin 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(Dolphin VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
dolphin (4:25.12.2-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Feb 2026 15:49:08 +0000

dolphin (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:17:20 +0000

dolphin (4:25.12.1-1ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:34:59 +0000

dolphin (4:25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Bump Gear build deps to current version.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Jan 2026 13:38:11 +0000

dolphin (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:56:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: dolphin
 Section: kde
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.9.0~),
                gettext,
-               libbaloowidgets-dev (>= 4:25.12.1~),
+               libbaloowidgets-dev (>= 4:25.12.2~),
                libkf6baloo-dev (>= 6.9.0~) [!hurd-any],
                libkf6bookmarks-dev (>= 6.9.0~),
                libkf6codecs-dev (>= 6.9.0~),
@@ -41,12 +41,12 @@
                pkgconf,
                qt6-base-dev (>= 6.4.0~),
                qt6-base-private-dev,
-               qt6-multimedia-dev (>= 6.4.0~)
+               qt6-multimedia-dev (>= 6.4.0~),
 Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/dolphin/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
 
 Package: dolphin
 Section: utils
@@ -54,7 +54,7 @@
 Depends: baloo6,
          dolphin-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Recommends: dolphin-doc (>= 4:24.05.2~),
             dolphin-plugins,
             ffmpegthumbs,
@@ -62,10 +62,10 @@
             kdenetwork-filesharing,
             kimageformat6-plugins,
             kio-extras (>= 4:24.12.2~),
-            qt6-image-formats-plugins
-Suggests: kio-admin
-Breaks: dolphin-data (<< 4:24.12.2-2~), dolphin-plugins (<< 4:24.05~)
-Replaces: dolphin-data (<< 4:24.12.2-2~)
+            qt6-image-formats-plugins,
+Suggests: kio-admin,
+Breaks: dolphin-data (<< 4:24.12.2-2~), dolphin-plugins (<< 4:24.05~),
+Replaces: dolphin-data (<< 4:24.12.2-2~),
 Description: file manager
  Dolphin is KDE's file manager that lets you navigate and browse the contents
  of your hard drives, USB sticks, SD cards, and more. Creating, moving, or
@@ -85,7 +85,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: file manager - development files
  Contains DBus interface XML files to access dolphin via the DBus
  org.freedesktop.FileManager1 interface.
@@ -93,9 +93,9 @@
 Package: dolphin-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
-Breaks: dolphin (<< 4:24.05.2-1~)
-Replaces: dolphin (<< 4:24.05.2-1~)
+Depends: ${misc:Depends},
+Breaks: dolphin (<< 4:24.05.2-1~),
+Replaces: dolphin (<< 4:24.05.2-1~),
 Description: file manager - documentation
  Dolphin is KDE's file manager that lets you navigate and browse the contents
  of your hard drives, USB sticks, SD cards, and more. Creating, moving, or
@@ -106,9 +106,9 @@
 Package: dolphin-data
 Section: utils
 Architecture: all
-Depends: ${misc:Depends}
-Breaks: dolphin (<< 4:24.05.2-1~)
-Replaces: dolphin (<< 4:24.05.2-1~)
+Depends: ${misc:Depends},
+Breaks: dolphin (<< 4:24.05.2-1~),
+Replaces: dolphin (<< 4:24.05.2-1~),
 Description: file manager - data
  Dolphin is KDE's file manager that lets you navigate and browse the contents
  of your hard drives, USB sticks, SD cards, and more. Creating, moving, or
@@ -122,7 +122,7 @@
 Multi-Arch: same
 Depends: libdolphinvcs6 (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: library to show version control in Dolphin - development files
  This library enables developers to expand Dolphin with the ability to show
  version control status in directories that are version controlled.
@@ -133,7 +133,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: library to show version control in Dolphin
  This library enables developers to expand Dolphin with the ability to show
  version control status in directories that are version controlled.
